## lxqt-config 2.3.0

=== debian/changelog ===
lxqt-config (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/install: Add new *.desktop files.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Requires-Root.
  * d/watch: Upgrade to version 5.
  * d/copyright: Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 01 Jan 2026 13:50:36 +0800

=== debian/control ===
Source: lxqt-config
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libkscreen-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               liblxqt-dev (>= 2.3.0~),
               libxcb-randr0-dev,
               libxcursor-dev,
               libxi-dev,
               lxqt-menu-data (>= 2.3.0~),
               lxqt-build-tools (>= 2.3.0~),
               qt6-base-private-dev,
               qt6-tools-dev,
               qttools5-dev,
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer,
            xsettingsd
Suggests: adwaita-qt,
          faenza-icon-theme,
          gnome-themes-extra,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          nm-connection-editor,
          nm-tray [linux-any] | cmst [linux-any] | network-manager-applet [linux-any],
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 The LXQt system settings center which summarizes all configuration tools as
 well as counterparts of other LXQt components or third-party applications.
 .
 This package contains the l10n files needed by the lxqt-config.

## lxqt-config 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-config)

set(LXQT_CONFIG_PROJECT "${PROJECT_NAME}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(WITH_APPEARANCE "Build the 'lxqt-config-appearance'" ON)
option(WITH_BRIGHTNESS "Build the 'lxqt-config-brightness'" ON)
option(WITH_FILE_ASSOCIATIONS "Build the 'lxqt-config-file-associations'" ON)
option(WITH_INPUT "Build the 'lxqt-config-input'" ON)
option(WITH_LOCALE "Build the 'lxqt-config-locale'" ON)
option(WITH_MONITOR "Build the 'lxqt-config-monitor'" ON)
option(WITH_TOUCHPAD "Build touchpad settings" ON)

include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(KF6_MINIMUM_VERSION "6.0.0")
set(KF6SCREEN_MINIMUM_VERSION "6.0.0")
set(LXQT_MINIMUM_VERSION "2.3.0")
set(QT_MINIMUM_VERSION "6.6.0")

find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt6Xml ${QT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-menu-data ${LXQT_MINIMUM_VERSION} REQUIRED)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Patch Version
set(LXQT_CONFIG_PATCH_VERSION 1)

set(LXQT_CONFIG_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_CONFIG_PATCH_VERSION})
add_definitions(
    "-DLXQT_CONFIG_VERSION=\"${LXQT_CONFIG_VERSION}\""
)

include(LXQtTranslate)

add_subdirectory(src)
if (WITH_INPUT OR WITH_APPEARANCE)
    add_subdirectory(liblxqt-config-cursor)
endif()
if (WITH_INPUT)
    add_subdirectory(lxqt-config-input)
endif()
if (WITH_FILE_ASSOCIATIONS)
    add_subdirectory(lxqt-config-file-associations)
endif()
if (WITH_APPEARANCE)
    add_subdirectory(lxqt-config-appearance)
endif()
if (WITH_MONITOR)
    add_subdirectory(lxqt-config-monitor)
endif()
if (WITH_BRIGHTNESS)
    add_subdirectory(lxqt-config-brightness)
endif()
if (WITH_LOCALE)
    add_subdirectory(lxqt-config-locale)
endif()

install(FILES
    man/lxqt-config.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-config (2.3.1-0ubuntu1) resolute; urgency=medium

  * New upstream release.
    - Update build dependencies.
    - Add lxqt-config-monitor-autostart.desktop and
      lxqt-config-touchpad-autostart.desktop to lxqt-config main package.
  * Update copyright file.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove unnecessary Rules-Requires-Root.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 19 Feb 2026 18:31:04 -0500

lxqt-config (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 16:19:33 -0500

lxqt-config (2.1.1-0ubuntu4) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:48:27 -0600

lxqt-config (2.1.1-0ubuntu3) plucky; urgency=medium

  * Recommend iso-flags-svg to utilize the new flags feature in the locale
    menu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Feb 2025 00:37:37 -0600

lxqt-config (2.1.1-0ubuntu2) plucky; urgency=medium

  * Fix manpage installation.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 08 Feb 2025 01:28:05 -0600

lxqt-config (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 07 Feb 2025 14:34:41 -0600

lxqt-config (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:32 -0600

=== debian/control ===
Source: lxqt-config
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev (>= 6.0.0),
               libkscreen-dev (>= 6.0.0),
               liblxqt2-dev (>= 2.3.0),
               libx11-dev,
               libxcb-randr0-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxi-dev,
               lxqt-menu-data (>= 2.3.0),
               qt6-base-private-dev (>= 6.6.0),
               qt6-svg-dev (>= 6.6.0),
               xserver-xorg-input-libinput-dev,
               zlib1g-dev
Standards-Version: 4.7.3
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-config-packaging.git
Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-config
Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-config.git
Homepage: https://github.com/lxqt/lxqt-config

Package: lxqt-config
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: galternatives,
            iso-flags-svg,
            lxqt-config-l10n,
            lxqt-policykit,
            lxqt-powermanagement,
            lxqt-qtplugin,
            lxqt-session,
            system-config-printer
Suggests: adwaita-qt,
          cmst [linux-any] | network-manager-gnome [linux-any],
          faenza-icon-theme,
          gnome-themes-standard,
          gparted | partitionmanager [linux-any],
          lxappearance,
          lxqt | lxqt-core,
          obconf-qt,
          synaptic
Description: LXQt system settings center
 The LXQt system settings center
 .
 This package contain the LXQt configuration ui.

Package: lxqt-config-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-config
 The LXQt system settings center
 .
 This package contains the l10n files needed by lxqt-config.
